Przejdź do głównej zawartości

matrix

Dla: Programista

ZapytanieBetaQuery.matrix

One matrix by its identifier, archived or not; null when there is no such matrix.

Wymagany zakreswarehouse:read
Dostępne odPrynt 0.28.0
StabilnośćBeta (co to znaczy)

Argumenty

NazwaTypOpis
idwymaganeID!

Identifier of the matrix.

Zwraca

Matrix

Przykład

Zapytanie
query Matrix($id: ID!) {
matrix(id: $id) {
id
code
name
matrixType
material
widthMm
heightMm
workingTemperature
}
}
Zmienne
{
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05"
}
Wywołanie (curl)
curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \
-H "Authorization: Bearer $PRYNT_API_KEY" \
-H "Content-Type: application/json" \
--data-binary @- <<'JSON'
{
"query": "query Matrix($id: ID!) {\n matrix(id: $id) {\n id\n code\n name\n matrixType\n material\n widthMm\n heightMm\n workingTemperature\n }\n}",
"variables": {
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05"
}
}
JSON
Odpowiedź
{
"data": {
"matrix": {
"id": "3f6b2a1c-8d4e-4f5a-9b6c-1d2e3f4a5b05",
"code": "MT12",
"name": "Logo Lipowe tłoczenie",
"matrixType": "EMBOSSING",
"material": "BRASS",
"widthMm": 80,
"heightMm": 40,
"workingTemperature": 110
}
}
}